package com.bocloud.ims.entity.resource;

import java.util.Objects;

public class StorageViewDetail {

	private Long volumeId;
	private String volumeName;
	private Long volumeGroupId;
	private String volumeGroupName;
	private Long hostGroupId;
	private String hostGroupName;
	private Long hostId;
	private String hostName;

	public Long getVolumeId() {
		return volumeId;
	}

	public void setVolumeId(Long volumeId) {
		this.volumeId = volumeId;
	}

	public String getVolumeName() {
		return volumeName;
	}

	public void setVolumeName(String volumeName) {
		this.volumeName = volumeName;
	}

	public Long getVolumeGroupId() {
		return volumeGroupId;
	}

	public void setVolumeGroupId(Long volumeGroupId) {
		this.volumeGroupId = volumeGroupId;
	}

	public String getVolumeGroupName() {
		return volumeGroupName;
	}

	public void setVolumeGroupName(String volumeGroupName) {
		this.volumeGroupName = volumeGroupName;
	}

	public Long getHostGroupId() {
		return hostGroupId;
	}

	public void setHostGroupId(Long hostGroupId) {
		this.hostGroupId = hostGroupId;
	}

	public String getHostGroupName() {
		return hostGroupName;
	}

	public void setHostGroupName(String hostGroupName) {
		this.hostGroupName = hostGroupName;
	}

	public Long getHostId() {
		return hostId;
	}

	public void setHostId(Long hostId) {
		this.hostId = hostId;
	}

	public String getHostName() {
		return hostName;
	}

	public void setHostName(String hostName) {
		this.hostName = hostName;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (o == null || getClass() != o.getClass()) {
			return false;
		}
		StorageViewDetail that = (StorageViewDetail) o;
		return Objects.equals(this.volumeId, that.volumeId) && Objects.equals(this.volumeGroupId, that.volumeGroupId)
				&& Objects.equals(this.hostGroupId, that.hostGroupId) && Objects.equals(this.hostId, that.hostId);
	}

	@Override
	public int hashCode() {
		return Objects.hash(volumeId, volumeGroupId, hostGroupId, hostId);
	}
}
